Subject: bug#65340: further build failure on Android (Termux)

From: Po Lu <[email-masked]>
Date: Fri, 18 Aug 2023 08:26:01 +0800

Bruno Haible <[email-masked]> writes:

> Po Lu wrote:
>> Thanks, both problems you mentioned should now be fixed.
>
> Thanks. configure now displays
>
>   checking for library containing tputs... -ltinfo
>
> But I still get a link error, due to configure.ac line 6062. I needed
> to change this line
>   mingw32 | android)
> to
>   mingw32)
> in order for the build to go further.
>
> With this done, "make" succeeds, and "make install" works fine as well.
> If there are issues with "make check", I'll report them separately.

This should also be fixed now.  Please test and ack, thanks.

> I filed a patch here now:
> https://lists.gnu.org/archive/html/config-patches/2023-08/msg00012.html

Thanks for working on this.